/* RadComboBox Default skin */

/*global*/


.RadComboBox_WebBlue *
{
	margin:0;
	padding:0;
}

.RadComboBox_WebBlue,
.RadComboBox_WebBlue .rcbInput,
.RadComboBoxDropDown_WebBlue
{
	font:12px arial,verdana,sans-serif;
	color:#000;
}

/* combobox */

.RadComboBox_WebBlue
{
	vertical-align:bottom;
	text-align: left;
}

.RadComboBox_WebBlue table
{
	border:0;
}

/*

Commentd for fix the ComboBox Style Issue*/
.RadComboBox_WebBlue td.rcbInputCell
{
	background: url('ComboBox/rcbBg.gif') no-repeat 0 0;
	height:19px;
	line-height:20px;
	vertical-align:top;
	padding:0;
	border:0;
    background-position: 0 0 !important;
}


.RadComboBox_WebBlue td.rcbInputCellRight
{
	background-position: 100% 0;
}

.RadComboBox_WebBlue .rcbDisabled .rcbInputCell .rcbInput
{
	color: #999;
}

.RadComboBox_WebBlue_rtl td.rcbInputCell,
.RadComboBox_WebBlue_rtl .rcbInputCell .rcbInput
{
	padding: 0 2px 0 0;
}

.RadComboBox_WebBlue .rcbInputCell .rcbInput
{
	width:100%;
	background:transparent;
	vertical-align:top;
	height: 15px;
	border: 0;
	margin-top: 2px;
	outline: 0;
}

.RadComboBox_WebBlue .rcbInputCell .rcbEmptyMessage
{
	color: #ccc;
	font-style: italic;
}

/*.
Commentd for fix the ComboBox Style Issue*/
.RadComboBox_WebBlue td.rcbArrowCell
{
	width:24px;
	padding:0;
	border:0;
	background:url('ComboBox/rcbArrowCell.gif') no-repeat;
}


.RadComboBox_WebBlue .rcbArrowCellRight
{
	background-position: 0 0 !important;
}

.RadComboBox_WebBlue .rcbArrowCellLeft
{
	background-position: 0 -21px;
}

.RadComboBox_WebBlue .rcbArrowCell a
{
	line-height:21px;
	width:24px;
	height:21px;
	text-decoration:none;
	text-indent: -9999px;
	font-size: 0;
}

.RadComboBox_WebBlue td.rcbArrowCellHidden,
.RadComboBox_WebBlue .rcbArrowCellHidden a
{
	background: url('ComboBox/rcbBg.gif') no-repeat top right;
	width: 1px;
}

.RadComboBox_WebBlue_rtl .rcbArrowCell a
{
	text-indent: 9999px;
}

.RadComboBox_WebBlue .rcbDisabled .rcbArrowCell a
{
	cursor:no-drop;
}

/* dropdown */

.rcbSlide
{
	position:absolute;
	overflow:hidden;
	display:none;
	_height:1px;
	float:left;
}

.RadComboBoxDropDown_WebBlue
{
	position:absolute;
	background:#fff;
	border: 1px solid #8b9cac;
	cursor:default;
	font-size:11px;
	text-align: left;
}

.RadComboBoxDropDown_WebBlue_rtl
{
	text-align: right;
	direction: rtl;
}

.RadComboBoxDropDown_WebBlue .rcbScroll
{
	overflow:auto;
}

.RadComboBoxDropDown_WebBlue .rcbList
{
	list-style:none;
	margin:0;
	padding:0;
	zoom:1;
}

.RadComboBoxDropDown_WebBlue .rcbHeader,
.RadComboBoxDropDown_WebBlue .rcbFooter
{
	background:#dfeeff;
	color:#000;
	padding:4px;
}

.RadComboBoxDropDown_WebBlue .rcbHeader
{
	border-bottom: 1px solid #a7c0df;
}

.RadComboBoxDropDown_WebBlue .rcbFooter
{
	border-top: 1px solid #a7c0df;
}

.RadComboBoxDropDown_WebBlue .rcbNoWrap .rcbItem,
.RadComboBoxDropDown_WebBlue .rcbNoWrap .rcbHovered,
.RadComboBoxDropDown_WebBlue .rcbNoWrap .rcbDisabled,
.RadComboBoxDropDown_WebBlue .rcbNoWrap .rcbLoading
{
	white-space:nowrap;
}

.RadComboBoxDropDown_WebBlue .rcbItem,
.RadComboBoxDropDown_WebBlue .rcbHovered,
.RadComboBoxDropDown_WebBlue .rcbDisabled,
.RadComboBoxDropDown_WebBlue .rcbLoading
{
	padding:4px 20px 4px 4px;
	border-top: 1px solid #f0f2f3;
	min-height: 14px !important;
}

* html .RadComboBoxDropDown_WebBlue .rcbItem,
* html .RadComboBoxDropDown_WebBlue .rcbHovered,
* html .RadComboBoxDropDown_WebBlue .rcbDisabled,
* html .RadComboBoxDropDown_WebBlue .rcbLoading
{
	height: 14px;
}

.RadComboBoxDropDown_WebBlue_rtl .rcbItem,
.RadComboBoxDropDown_WebBlue_rtl .rcbHovered,
.RadComboBoxDropDown_WebBlue_rtl .rcbDisabled,
.RadComboBoxDropDown_WebBlue_rtl .rcbLoading
{
	padding:4px 4px 4px 20px;
}

.RadComboBoxDropDown_WebBlue .rcbImage
{
	vertical-align: middle;
	margin: 0 6px 2px 0;
}

.RadComboBoxDropDown_WebBlue_rtl .rcbImage
{
	margin: 0 0 2px 6px;
}

.RadComboBoxDropDown_WebBlue em
{
	font-style: normal;
	font-weight: bold;
}

.RadComboBoxDropDown_WebBlue .rcbItem em
{
	background: #FFFFAA;
}

.RadComboBoxDropDown_WebBlue .rcbHovered
{
	background:#BBD8E7;
	color:#000;
	border-top: 1px solid #85ACCF;
	border-bottom: 1px solid #85ACCF;
}

.RadComboBoxDropDown_WebBlue .rcbSeparator
{
    color: #222;
    background: #F4F4F4;
}

.RadComboBoxDropDown_WebBlue .rcbDisabled
{
	color:#808080;
	cursor:no-drop;
}

.RadComboBoxDropDown_WebBlue .rcbLoading
{
	background:#f0f0f0;
	text-align:center;
}

.RadComboBoxDropDown_WebBlue .rcbMoreResults
{
	clear:both;
	background:#E0E3E6;
	border-top: 1px solid #c7c7c7;
	padding:4px;
	text-align:center;
}

.RadComboBoxDropDown_WebBlue .rcbMoreResults a
{
	display:block;
	width:9px !important;
	height:11px !important;
	background:url('ComboBox/rcbMoreResults.gif') no-repeat transparent;
	margin:0 auto 4px;
	text-indent:-3333px;
	overflow:hidden;
	text-decoration:none;
	cursor:pointer;
    border-top-style: none !important;
    border-top-width: 0px !important;
}

.RadComboBoxDropDown_WebBlue .rcbMoreResults a:hover
{
	background-position:0 -6px;
}

.RadComboBoxDropDown_WebBlue .rcbMoreResults span
{
	display:inline-block;
	text-align:center;
}

.rcbEmptyMessage { color:black !important;font-style:normal !important }

.RadComboBoxDropDown_WebBlue .rcbScroll
{
	scrollbar-face-color: #e9e9e9;
	scrollbar-highlight-color: #ffffff;
	scrollbar-shadow-color: #e9e9e9;
	scrollbar-3dlight-color: #dbdbdb;
	scrollbar-arrow-color: #787878;
	scrollbar-track-color: #f5f5f5;
	scrollbar-darkshadow-color: #aeaeae;
}

/*hacks*/

/*Opera start*/
@media screen and (min-width:550px)
{
	.RadComboBoxDropDown_WebBlue_rtl .rcbItem,
	.RadComboBoxDropDown_WebBlue_rtl .rcbHovered,
	.RadComboBoxDropDown_WebBlue_rtl .rcbDisabled,
	.RadComboBoxDropDown_WebBlue_rtl .rcbLoading
	{
		padding:4px 20px 4px 4px;
		zoom:1;
	}
}
/*Opera end*/

/* 
This is added by Hasitha, as per  Telerik tech team instruction 
to fixed the issue rasied in DE1467
 */
.rcbScroll
{
    position: relative;
}

.RadComboBoxDropDown_WebBlue table.templateTable
{
    text-align : left;
    table-layout : fixed;
}

.RadComboBoxDropDown_WebBlue table.templateHeader
{
    table-layout : fixed;
}

.RadComboBoxDropDown_WebBlue table.templateTable tbody tr td { word-wrap: break-word; }